(defvar agw-mode-map (make-sparse-keymap)
  "Global keymap for `agw-mode'.")

(define-minor-mode agw-key-map
  "Minor mode for key bindings."
  :global t
  :keymap agw-mode-map)

(defun agw-set-key (key def)
  (define-key agw-mode-map (kbd (concat "C-<tab> " key)) def))

(agw-set-key "b d" #'kill-this-buffer)
(agw-set-key "b e" #'ibuffer)

(agw-set-key "f" #'dired)

(agw-set-key "w" #'deadgrep)

(agw-set-key "h" #'windmove-left)
(agw-set-key "j" #'windmove-down)
(agw-set-key "k" #'windmove-up)
(agw-set-key "l" #'windmove-right)

(agw-set-key "s" #'sort-lines)

(agw-key-map)

; just in case - bind for disabling key map mode
(global-set-key (kbd "C-x C-<tab>") #'agw-key-map)

;; EOF
